﻿@using DAweb.Models;

@model tblSanPham

@{
    ViewBag.Title = "SanPhamChiTiet";
    Layout = "~/Views/Layout/NguoiDungLayout.cshtml";
}
@* Chi tiết sản phẩm *@
<style>
    * {
        box-sizing: border-box;
    }

    .img-zoom-container {
        position: relative;
        display: inline-block;
    }

    .img-zoom-lens {
        position: absolute;
        border: 1px solid #d4d4d4;
        /*set the size of the lens:*/
        width: 120px;
        height: 120px;
    }

    .img-zoom-result {
        border: 1px solid #d4d4d4;
        /*set the size of the result div:*/
        width: 230px;
        height: 300px;
    }
</style>
<script>
function imageZoom(imgID, resultID) {
  var img, lens, result, cx, cy;
  img = document.getElementById(imgID);
  result = document.getElementById(resultID);
  /*create lens:*/
  lens = document.createElement("DIV");
  lens.setAttribute("class", "img-zoom-lens");
  /*insert lens:*/
  img.parentElement.insertBefore(lens, img);
  /*calculate the ratio between result DIV and lens:*/
  cx = result.offsetWidth / lens.offsetWidth;
  cy = result.offsetHeight / lens.offsetHeight;
  /*set background properties for the result DIV:*/
  result.style.backgroundImage = "url('" + img.src + "')";
  result.style.backgroundSize = (img.width * cx) + "px " + (img.height * cy) + "px";
  /*execute a function when someone moves the cursor over the image, or the lens:*/
  lens.addEventListener("mousemove", moveLens);
  img.addEventListener("mousemove", moveLens);
  /*and also for touch screens:*/
  lens.addEventListener("touchmove", moveLens);
  img.addEventListener("touchmove", moveLens);
  function moveLens(e) {
    var pos, x, y;
    /*prevent any other actions that may occur when moving over the image:*/
    e.preventDefault();
    /*get the cursor's x and y positions:*/
    pos = getCursorPos(e);
    /*calculate the position of the lens:*/
    x = pos.x - (lens.offsetWidth / 2);
    y = pos.y - (lens.offsetHeight / 2);
    /*prevent the lens from being positioned outside the image:*/
    if (x > img.width - lens.offsetWidth) {x = img.width - lens.offsetWidth;}
    if (x < 0) {x = 0;}
    if (y > img.height - lens.offsetHeight) {y = img.height - lens.offsetHeight;}
    if (y < 0) {y = 0;}
    /*set the position of the lens:*/
    lens.style.left = x + "px";
    lens.style.top = y + "px";
    /*display what the lens "sees":*/
    result.style.backgroundPosition = "-" + (x * cx) + "px -" + (y * cy) + "px";
  }
  function getCursorPos(e) {
    var a, x = 0, y = 0;
    e = e || window.event;
    /*get the x and y positions of the image:*/
    a = img.getBoundingClientRect();
    /*calculate the cursor's x and y coordinates, relative to the image:*/
    x = e.pageX - a.left;
    y = e.pageY - a.top;
    /*consider any page scrolling:*/
    x = x - window.pageXOffset;
    y = y - window.pageYOffset;
    return {x : x, y : y};
  }
}
</script>
<div class="right-main page">


    <div class="gallery">

        <div class="img-gallery">
            <div class="img-zoom-container">
                <!-- thông tin chi tiết hình ảnh chi tiết  -->
                <img id="myimage" src="@Url.Content("~/App_Themes/HinhAnhSanPham/"+Model.AnhMinhHoa)" class="img-responsive" alt="" style="width:230px; height:270px" />
                <div id="myresult" class="img-zoom-result"></div>
            </div>

            <script>
                // Initiate zoom effect:
                imageZoom("myimage", "myresult");
            </script>
        </div><!-- /img-gallery -->


        <div class="wrap-slider-thum">

        </div>


    </div><!-- /gallery -->

    <div class="right-detail">
        <h1>Thông Tin Sản Phẩm </h1>
        <p>
            <strong>Tên Sản Phẩm:</strong>
            <span class="right">@Model.TenSP</span>
        </p>
        <p>
            <strong>SIZE:</strong>
            <span class="right">@Model.SIZE</span>
        </p>


        <div class="tabs-detail-pr full-width">
            <strong>Mô Tả</strong>
            <p>
                @Html.Raw(Model.ThongTin)
            </p>
        </div>
        <p>
            <strong>Giá:</strong>
            <span class="right price">@string.Format("{0:0,0}", @Model.GiaTien) VNĐ</span>
        </p>

        @using (Html.BeginForm("ThemGioHang", "GioHang", new { @MASP = Model.MaSP, @strURL = Request.Url.ToString() }))
        {
            <p>
                <span class="right"><input type="submit" value="Mua Hàng " id="btnGioHang" class="btnmuahang" /></span>
            </p>
        }
        <p class="right">
            <span class="right"><img src="~/App_Themes/images/icon/likepr.jpg" class="img-responsive" alt="" /></span>
        </p>


    </div>


</div>
